package com.dla.dda.domain.constants;

/**
 * @see representa el tipo de FEES
 * @author montieln
 *
 */

public enum FeesType {

	UNKNOW(""), SUSCRIPCION("ESCALA"), FLAT("FLAT"), NO_APLICA("NO_APLICA");

	private String nombre;

	private FeesType() {

	}

	private FeesType(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @see Obtiene el tipo de FEES
	 * @param nombre
	 * @return
	 */
	public static FeesType getType(String nombre) {

		FeesType resultado = FeesType.UNKNOW;

		FeesType[] fees = FeesType.values();

		for (FeesType fee : fees) {

			if (fee.nombre.equals(nombre)) {
				resultado = fee;
				break;
			}

		}

		return resultado;
	}

}
